package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicNewsState {
    public static final String OFFLINE = "已下架";
    public static final String PUBLISHED= "已发布";
    private static DicNewsState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicNewsState(){
        dicMap = new LinkedHashMap<String, String>();

        dicMap.put(PUBLISHED, PUBLISHED);
        dicMap.put(OFFLINE, OFFLINE);
    }

    public static DicNewsState getInstacne(){
        if (instance == null)
        {
            instance = new DicNewsState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
